<template>
	<slot v-if="item" :item="item">
		<a v-if="!item.disabled" class="item" :href="item.href">{{ item.text }}</a>
		<span v-else class="item">{{ item.text }}</span>
		<span class="divider" :class="dividerClasses"></span>
	</slot>
	<slot v-else></slot>
</template>

<script>
export default {
	props: ['item', 'dividerClasses'],
}
</script>
